#!/bin/sh
# *************************************************************************
# **                                                                     **
# ** E-DEAL CRM Software                                                 **
# **                                                                     **
# ** Assign values to the following variables :                          **
# **                                                                     **
# **     EDEAL_HOME  - path to E-DEAL CRM directory                      **
# **                                                                     **
# *************************************************************************
EDEAL_HOME=""
JAR_HOME=""
CLASSPATH_HOME="/classpath"

# ----- Current directory -------------------------------------------------
CLASSPATH="."

# ----- Application server libraries --------------------------------------
CLASSPATH="${CLASSPATH}:${EDEAL_HOME}/classpath/appsrv/"

for i in $(ls $CLASSPATH_HOME); do
CLASSPATH="${CLASSPATH}:${CLASSPATH_HOME}/$i"
done
# ---- E-DEAL CRM application libraries and 3rd party libraries
CLASSPATH="${CLASSPATH}:${EDEAL_HOME}/webapps/edealCRM/WEB-INF/lib/"

# ----- Custom compiled classes -------------------------------------------
CLASSPATH="${CLASSPATH}:${EDEAL_HOME}/webapps/edealCRM/WEB-INF/classes"

for i in $(ls $JAR_HOME); do
CLASSPATH="${CLASSPATH}:${JAR_HOME}/$i"
done

export CLASSPATH=${CLASSPATH}